# Class Currency

#### Hierarchy

- unknown
  - Currency

- Defined in src/protobuf/pb_pb.d.ts:7445
- Defined in src/protobuf/pb_pb.d.ts:7457

#####
Index

### Constructors

constructor

### Methods

getCurrencyCode
serializeBinary
setCurrencyCode
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Currency(): Currency

- #### Returns Currency

  Inherited from jspb.Message.constructor

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7446

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7449

### setCurrencyCode

- setCurrencyCode(value: string): Currency

- #### Parameters

  - ##### value: string

  #### Returns Currency

  - Defined in src/protobuf/pb_pb.d.ts:7447

### toObject

- toObject(includeInstance?: boolean): Currency.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Currency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7450

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Currency

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Currency

  - Defined in src/protobuf/pb_pb.d.ts:7453

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Currency, reader: BinaryReader): Currency

- #### Parameters

  - ##### message: Currency

  - ##### reader: BinaryReader

  #### Returns Currency

  - Defined in src/protobuf/pb_pb.d.ts:7454

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Currency, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Currency

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7452

### `Static` toObject

- toObject(includeInstance: boolean, msg: Currency): Currency.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Currency

  #### Returns Currency.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7451

Generated using TypeDoc